#
# The Exomiser - A tool to annotate and prioritize genomic variants
#
# Copyright (c) 2016-2019 Queen Mary University of London.
# Copyright (c) 2012-2016 Charit� Universit�tsmedizin Berlin and Genome Research Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

#root path where data is to be downloaded and worked on
#it is assumed that all the files required by exomiser listed in this properties file
#will be found in the data directory unless specifically overridden here.
exomiser.data-directory=/data/exomiser-data-bundle/exomiser-data-bundle/

### hg19 assembly ###
# exomiser.hg19.data-version=2102
#transcript source will default to ensembl. Can define as ucsc/ensembl/refseq
# exomiser.hg19.transcript-source=ensembl

# exomiser.hg19.data-directory=/
#location of CADD/REMM Tabix files - you will need these for analysis of non-coding variants.
#CADD can be downloaded from http://cadd.gs.washington.edu/download - v1.3 has been tested.
#REMM can be downloaded from https://charite.github.io/software-remm-score.html
#local frequencies are required to be normalised in the same manner as the input VCF and frequency values must be percentages.
#
#You will require the tsv.gz and tsv.gz.tbi (tabix) file pairs.
#Un-comment and add the full path to the relevant tsv.gz files if you want to enable these.
#exomiser.hg19.cadd-snv-path=${exomiser.hg19.data-directory}/whole_genome_SNVs.tsv.gz
#exomiser.hg19.cadd-in-del-path=${exomiser.hg19.data-directory}/InDels.tsv.gz
# exomiser.hg19.remm-path=ReMM.v0.3.1.tsv.gz
#exomiser.hg19.local-frequency-path=${exomiser.hg19.data-directory}/local_frequency_test.tsv.gz

#exomiser.hg19.variant-white-list-path=2102_hg19_clinvar_whitelist.tsv.gz

### hg38 assembly ###
# To enable analysis of samples called against the hg38 assembly copy the hg19 above and just replace the hg19 with hg38
exomiser.hg38.data-version=2102
#transcript source will default to ensembl. Can define as ucsc/ensembl/refseq
exomiser.hg38.transcript-source=ensembl

exomiser.hg38.data-directory=/data/exomiser-data-bundle/exomiser-data-bundle/2102_hg38
#location of CADD/REMM Tabix files - you will need these for analysis of non-coding variants.
#CADD can be downloaded from http://cadd.gs.washington.edu/download - v1.3 has been tested.
#REMM can be downloaded from https://charite.github.io/software-remm-score.html
#local frequencies are required to be normalised in the same manner as the input VCF and frequency values must be percentages.
#
#You will require the tsv.gz and tsv.gz.tbi (tabix) file pairs.
#Un-comment and add the full path to the relevant tsv.gz files if you want to enable these.
exomiser.hg38.cadd-snv-path=/data/exomiser-data-bundle/exomiser-data-bundle/cadd_snvs/whole_genome_SNVs.tsv.gz
exomiser.hg38.cadd-in-del-path=/data/exomiser-data-bundle/exomiser-data-bundle/2102_hg38/gnomad.genomes.r3.0.indel.tsv.gz
#exomiser.hg38.remm-path=${exomiser.hg38.data-directory}/ReMM.v0.3.1.tsv.gz
#exomiser.hg38.local-frequency-path=${exomiser.hg38.data-directory}/local_frequency_test.tsv.gz
exomiser.hg38.variant-white-list-path=/data/exomiser-data-bundle/exomiser-data-bundle/2102_hg38/2102_hg38_clinvar_whitelist.tsv.gz

### phenotypes ###
exomiser.phenotype.data-version=2102
exomiser.phenotype.data-directory=/data/exomiser-data-bundle/exomiser-data-bundle/2102_phenotype
#String random walk data file
exomiser.phenotype.random-walk-file-name=/data/exomiser-data-bundle/exomiser-data-bundle/2102_phenotype/rw_string_10.mv
#exomiser.phenotype.random-walk-index-file-name=rw_string_9_05_id2index.gz

### caching ###
#If you're running exomiser in batch mode there might be some performance benefit
#if you enable caching. The 'simple' option will continue to store data in memory *without*
#limit - this means for really long-running batch jobs and/or whole genomes you may run out of memory.
#If this is likely choose the caffeine option and uncomment spring.cache.caffeine.spec and adjust the cache size
#to your requirements
#none/simple/caffeine
#spring.cache.type=none
#spring.cache.caffeine.spec=maximumSize=60000

### logging ###
#logging.file=logs/exomiser.log
